rtcProfile: 
  version: "1.0"
  id: RTC:KLAB.Generic.IFAdderSHM:0.1
  basicInfo:
    name: IFAdderSHM
    description: ShortFloatAdderComponent
    version: 0.1
    vendor: KLAB
    category: Generic
    componentType: DataFlowComponent
    activityType: SPORADIC
    componentKind: Sample
    maxInstances: 1
    abstract: 
    executionRate: 1000.0
    executionType: PeriodicExecutionContext
    creationDate:
      year: 2008
      month: 10
      day: 23
      hour: 2
      minute: 33
      second: 15
    updateDate:
      year: 
      month: 
      day: 
      hour: 
      minute: 
      second: 
    "rtcDoc::doc":
      algorithm: 
      creator: 
      description: 
      inout: 
      license: 
      reference: 
    "rtcExt::versionUpLog": 
  language: 
  actions:  
    onInitialize:
      implemented: True
      "rtcDoc::doc":
        description: onInitialize description
        postCondition: onInitialize Post_condition
        preCondition: onInitialize Pre_condition
    onActivated:
      implemented: True
      "rtcDoc::doc":
        description: onActivated description
        postCondition: onActivated Post_condition
        preCondition: onActivated Pre_condition
    onDeactivated:
      implemented: True
      "rtcDoc::doc":
        description: onDeactivated description
        postCondition: onDeactivated Post_condition
        preCondition: onDeactivated Pre_condition
    onAborting:
      implemented: True
      "rtcDoc::doc":
        description: onAborting description
        postCondition: onAborting Post_condition
        preCondition: onAborting Pre_condition
    onError:
      implemented: True
      "rtcDoc::doc":
        description: onError description
        postCondition: onError Post_condition
        preCondition: onError Pre_condition
    onReset:
      implemented: True
      "rtcDoc::doc":
        description: onReset description
        postCondition: onReset Post_condition
        preCondition: onReset Pre_condition
    onFinalize:
      implemented: True
      "rtcDoc::doc":
        description: onFinalize description
        postCondition: onFinalize Post_condition
        preCondition: onFinalize Pre_condition
    onStartup:
      implemented: True
      "rtcDoc::doc":
        description: onStartup description
        postCondition: onStartup Post_condition
        preCondition: onStartup Pre_condition
    onRateChanged:
      implemented: True
      "rtcDoc::doc":
        description: onRateChanged description
        postCondition: onRateChanged Post_condition
        preCondition: onRateChanged Pre_condition
    onShutdown:
      implemented: True
      "rtcDoc::doc":
        description: onShutdown description
        postCondition: onShutdown Post_condition
        preCondition: onShutdown Pre_condition
    onExecute:
      implemented: True
      "rtcDoc::doc":
        description: onExecute description
        postCondition: onExecute Post_condition
        preCondition: onExecute Pre_condition
    onStateUpdate:
      implemented: True
      "rtcDoc::doc":
        description: onStateUpdate description
        postCondition: onStateUpdate Post_condition
        preCondition: onStateUpdate Pre_condition
  dataPorts: 
    -
      portType: DataInPort
      name: in1
      type: TimedShort
      interfaceType: CorbaPort
      dataflowType: Push,Pull
      subscriptionType: Periodic,New,Flush
      idlFile: 
      "rtcDoc::doc":
        type: TimedShort
        description: 
        number: 0
        occerrence: 
        operation: 
        semantics: 
        unit: 
      "rtcExt::position": LEFT
      "rtcExt::varname": in1
    -
      portType: DataInPort
      name: in2
      type: TimedFloat
      interfaceType: CorbaPort
      dataflowType: Push,Pull
      subscriptionType: Periodic,New,Flush
      idlFile: 
      "rtcDoc::doc":
        type: TimedFloat
        description: 
        number: 1
        occerrence: 
        operation: 
        semantics: 
        unit: 
      "rtcExt::position": LEFT
      "rtcExt::varname": in2
    -
      portType: DataOutPort
      name: out
      type: TimedDouble
      interfaceType: CorbaPort
      dataflowType: Push,Pull
      subscriptionType: Periodic,New,Flush
      idlFile: 
      "rtcDoc::doc":
        type: TimedDouble
        description: 
        number: 2
        occerrence: 
        operation: 
        semantics: 
        unit: 
      "rtcExt::position": RIGHT
      "rtcExt::varname": out
  servicePorts: 
    -
      name: SHMSEMService
      "rtcDoc::doc":
        description: 
        ifdescription: 
      "rtcExt::position": LEFT
      serviceInterface: 
        -
          direction: Required
          name: ISHMSEMService
          type: ISHMSEMService
          varname: ISHMSEMService
          instanceName: ISHMSEMService
          idlFile: KlabShmPort.idl
          path: 
          "rtcDoc::doc":
            description: 
            docArgument: 
            docException: 
            docPostCondition: 
            docPreCondition: 
            docReturn: 
  configurationSet: 
    configuration: 
  parameters: 

